import RouteTable_ from './routeTable';
import VPCPeeringConnection_ from './vpcPeeringConnection';
import TransitGateway_ from './transitGateway';
import CapacityReservation_ from './capacityReservation';
import VPCEndpointServicePermissions_ from './vpcEndpointServicePermissions';
import TransitGatewayRouteTableAssociation_ from './transitGatewayRouteTableAssociation';
import Volume_ from './volume';
import EIP_ from './eip';
import FlowLog_ from './flowLog';
import SecurityGroupEgress_ from './securityGroupEgress';
import TransitGatewayAttachment_ from './transitGatewayAttachment';
import Subnet_ from './subnet';
import Instance_ from './instance';
import DHCPOptions_ from './dhcpOptions';
import EgressOnlyInternetGateway_ from './egressOnlyInternetGateway';
import NetworkInterfaceAttachment_ from './networkInterfaceAttachment';
import CustomerGateway_ from './customerGateway';
import EIPAssociation_ from './eipAssociation';
import VPNGateway_ from './vpnGateway';
import VPNConnection_ from './vpnConnection';
import TransitGatewayRouteTable_ from './transitGatewayRouteTable';
import ClientVpnRoute_ from './clientVpnRoute';
import PlacementGroup_ from './placementGroup';
import NetworkAclEntry_ from './networkAclEntry';
import InternetGateway_ from './internetGateway';
import LaunchTemplate_ from './launchTemplate';
import SpotFleet_ from './spotFleet';
import VPNConnectionRoute_ from './vpnConnectionRoute';
import NetworkInterfacePermission_ from './networkInterfacePermission';
import SecurityGroupIngress_ from './securityGroupIngress';
import ClientVpnEndpoint_ from './clientVpnEndpoint';
import SubnetRouteTableAssociation_ from './subnetRouteTableAssociation';
import Route_ from './route';
import TransitGatewayRouteTablePropagation_ from './transitGatewayRouteTablePropagation';
import NetworkInterface_ from './networkInterface';
import ClientVpnAuthorizationRule_ from './clientVpnAuthorizationRule';
import SubnetNetworkAclAssociation_ from './subnetNetworkAclAssociation';
import SubnetCidrBlock_ from './subnetCidrBlock';
import NatGateway_ from './natGateway';
import SecurityGroup_ from './securityGroup';
import VPC_ from './vpc';
import TransitGatewayRoute_ from './transitGatewayRoute';
import NetworkAcl_ from './networkAcl';
import VPNGatewayRoutePropagation_ from './vpnGatewayRoutePropagation';
import ClientVpnTargetNetworkAssociation_ from './clientVpnTargetNetworkAssociation';
import VolumeAttachment_ from './volumeAttachment';
import Host_ from './host';
import VPCEndpoint_ from './vpcEndpoint';
import VPCGatewayAttachment_ from './vpcGatewayAttachment';
import VPCCidrBlock_ from './vpcCidrBlock';
import EC2Fleet_ from './ec2Fleet';
import VPCDHCPOptionsAssociation_ from './vpcdhcpOptionsAssociation';
import VPCEndpointConnectionNotification_ from './vpcEndpointConnectionNotification';
import VPCEndpointService_ from './vpcEndpointService';
export declare namespace EC2 {
    const RouteTable: typeof RouteTable_;
    const VPCPeeringConnection: typeof VPCPeeringConnection_;
    const TransitGateway: typeof TransitGateway_;
    const CapacityReservation: typeof CapacityReservation_;
    const VPCEndpointServicePermissions: typeof VPCEndpointServicePermissions_;
    const TransitGatewayRouteTableAssociation: typeof TransitGatewayRouteTableAssociation_;
    const Volume: typeof Volume_;
    const EIP: typeof EIP_;
    const FlowLog: typeof FlowLog_;
    const SecurityGroupEgress: typeof SecurityGroupEgress_;
    const TransitGatewayAttachment: typeof TransitGatewayAttachment_;
    const Subnet: typeof Subnet_;
    const Instance: typeof Instance_;
    const DHCPOptions: typeof DHCPOptions_;
    const EgressOnlyInternetGateway: typeof EgressOnlyInternetGateway_;
    const NetworkInterfaceAttachment: typeof NetworkInterfaceAttachment_;
    const CustomerGateway: typeof CustomerGateway_;
    const EIPAssociation: typeof EIPAssociation_;
    const VPNGateway: typeof VPNGateway_;
    const VPNConnection: typeof VPNConnection_;
    const TransitGatewayRouteTable: typeof TransitGatewayRouteTable_;
    const ClientVpnRoute: typeof ClientVpnRoute_;
    const PlacementGroup: typeof PlacementGroup_;
    const NetworkAclEntry: typeof NetworkAclEntry_;
    const InternetGateway: typeof InternetGateway_;
    const LaunchTemplate: typeof LaunchTemplate_;
    const SpotFleet: typeof SpotFleet_;
    const VPNConnectionRoute: typeof VPNConnectionRoute_;
    const NetworkInterfacePermission: typeof NetworkInterfacePermission_;
    const SecurityGroupIngress: typeof SecurityGroupIngress_;
    const ClientVpnEndpoint: typeof ClientVpnEndpoint_;
    const SubnetRouteTableAssociation: typeof SubnetRouteTableAssociation_;
    const Route: typeof Route_;
    const TransitGatewayRouteTablePropagation: typeof TransitGatewayRouteTablePropagation_;
    const NetworkInterface: typeof NetworkInterface_;
    const ClientVpnAuthorizationRule: typeof ClientVpnAuthorizationRule_;
    const SubnetNetworkAclAssociation: typeof SubnetNetworkAclAssociation_;
    const SubnetCidrBlock: typeof SubnetCidrBlock_;
    const NatGateway: typeof NatGateway_;
    const SecurityGroup: typeof SecurityGroup_;
    const VPC: typeof VPC_;
    const TransitGatewayRoute: typeof TransitGatewayRoute_;
    const NetworkAcl: typeof NetworkAcl_;
    const VPNGatewayRoutePropagation: typeof VPNGatewayRoutePropagation_;
    const ClientVpnTargetNetworkAssociation: typeof ClientVpnTargetNetworkAssociation_;
    const VolumeAttachment: typeof VolumeAttachment_;
    const Host: typeof Host_;
    const VPCEndpoint: typeof VPCEndpoint_;
    const VPCGatewayAttachment: typeof VPCGatewayAttachment_;
    const VPCCidrBlock: typeof VPCCidrBlock_;
    const EC2Fleet: typeof EC2Fleet_;
    const VPCDHCPOptionsAssociation: typeof VPCDHCPOptionsAssociation_;
    const VPCEndpointConnectionNotification: typeof VPCEndpointConnectionNotification_;
    const VPCEndpointService: typeof VPCEndpointService_;
    type RouteTable = RouteTable_;
    type VPCPeeringConnection = VPCPeeringConnection_;
    type TransitGateway = TransitGateway_;
    type CapacityReservation = CapacityReservation_;
    type VPCEndpointServicePermissions = VPCEndpointServicePermissions_;
    type TransitGatewayRouteTableAssociation = TransitGatewayRouteTableAssociation_;
    type Volume = Volume_;
    type EIP = EIP_;
    type FlowLog = FlowLog_;
    type SecurityGroupEgress = SecurityGroupEgress_;
    type TransitGatewayAttachment = TransitGatewayAttachment_;
    type Subnet = Subnet_;
    type Instance = Instance_;
    type DHCPOptions = DHCPOptions_;
    type EgressOnlyInternetGateway = EgressOnlyInternetGateway_;
    type NetworkInterfaceAttachment = NetworkInterfaceAttachment_;
    type CustomerGateway = CustomerGateway_;
    type EIPAssociation = EIPAssociation_;
    type VPNGateway = VPNGateway_;
    type VPNConnection = VPNConnection_;
    type TransitGatewayRouteTable = TransitGatewayRouteTable_;
    type ClientVpnRoute = ClientVpnRoute_;
    type PlacementGroup = PlacementGroup_;
    type NetworkAclEntry = NetworkAclEntry_;
    type InternetGateway = InternetGateway_;
    type LaunchTemplate = LaunchTemplate_;
    type SpotFleet = SpotFleet_;
    type VPNConnectionRoute = VPNConnectionRoute_;
    type NetworkInterfacePermission = NetworkInterfacePermission_;
    type SecurityGroupIngress = SecurityGroupIngress_;
    type ClientVpnEndpoint = ClientVpnEndpoint_;
    type SubnetRouteTableAssociation = SubnetRouteTableAssociation_;
    type Route = Route_;
    type TransitGatewayRouteTablePropagation = TransitGatewayRouteTablePropagation_;
    type NetworkInterface = NetworkInterface_;
    type ClientVpnAuthorizationRule = ClientVpnAuthorizationRule_;
    type SubnetNetworkAclAssociation = SubnetNetworkAclAssociation_;
    type SubnetCidrBlock = SubnetCidrBlock_;
    type NatGateway = NatGateway_;
    type SecurityGroup = SecurityGroup_;
    type VPC = VPC_;
    type TransitGatewayRoute = TransitGatewayRoute_;
    type NetworkAcl = NetworkAcl_;
    type VPNGatewayRoutePropagation = VPNGatewayRoutePropagation_;
    type ClientVpnTargetNetworkAssociation = ClientVpnTargetNetworkAssociation_;
    type VolumeAttachment = VolumeAttachment_;
    type Host = Host_;
    type VPCEndpoint = VPCEndpoint_;
    type VPCGatewayAttachment = VPCGatewayAttachment_;
    type VPCCidrBlock = VPCCidrBlock_;
    type EC2Fleet = EC2Fleet_;
    type VPCDHCPOptionsAssociation = VPCDHCPOptionsAssociation_;
    type VPCEndpointConnectionNotification = VPCEndpointConnectionNotification_;
    type VPCEndpointService = VPCEndpointService_;
}
